<?php
/**
 * The template part for displaying grid post
 *
 * @package VW Gardening Landscaping
 * @subpackage vw-gardening-landscaping
 * @since VW Gardening Landscaping 1.0
 */
?>

<div class="col-lg-4 col-md-6">
	<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
	    <div class="post-main-box p-3 mb-3 wow bounceInDown delay-1000" data-wow-duration="2s">
	      	<div class="box-image">
	          	<?php 
		            if(has_post_thumbnail() && get_theme_mod( 'vw_gardening_landscaping_featured_image_hide_show',true) != '') { 
		              the_post_thumbnail(); 
		            }
	          	?>
	        </div>
	        <h2 class="section-title"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
	       	<?php if( get_theme_mod( 'vw_gardening_landscaping_grid_postdate',true) != '' || get_theme_mod( 'vw_gardening_landscaping_grid_author',true) != '' || get_theme_mod( 'vw_gardening_landscaping_grid_comments',true) != '') { ?>
	            <div class="post-info">
	                <?php if(get_theme_mod('vw_gardening_landscaping_grid_postdate',true)==1){ ?>
	                    <i class="fas fa-calendar-alt"></i><span class="entry-date"><a href="<?php echo esc_url( get_day_link( $vw_gardening_landscaping_archive_year, $vw_gardening_landscaping_archive_month, $vw_gardening_landscaping_archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span>
	                <?php } ?>   

	                <?php if(get_theme_mod('vw_gardening_landscaping_grid_author',true)==1){ ?>
	                    <span><?php echo esc_html(get_theme_mod('vw_gardening_landscaping_single_post_meta_field_separator', '|'));?></span> <i class="far fa-user"></i><span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span>
	                <?php } ?>

	                <?php if(get_theme_mod('vw_gardening_landscaping_grid_comments',true)==1){ ?>
	                    <span><?php echo esc_html(get_theme_mod('vw_gardening_landscaping_single_post_meta_field_separator', '|'));?></span> <i class="fa fa-comments" aria-hidden="true"></i><span class="entry-comments"><?php comments_number( __('0 Comment', 'vw-gardening-landscaping'), __('0 Comments', 'vw-gardening-landscaping'), __('% Comments', 'vw-gardening-landscaping') ); ?> </span>
	                <?php } ?>
	            </div>
	        <?php } ?>
	        <div class="new-text">
	        	<div class="entry-content">
	        		<p>
			            <?php $vw_gardening_landscaping_excerpt = get_the_excerpt(); echo esc_html( vw_gardening_landscaping_string_limit_words( $vw_gardening_landscaping_excerpt, esc_attr(get_theme_mod('vw_gardening_landscaping_excerpt_number','30')))); ?> <?php echo esc_html( get_theme_mod('vw_gardening_landscaping_excerpt_suffix','') ); ?>
			         </p>
	        	</div>
	        </div>
	        <?php if( get_theme_mod('vw_gardening_landscaping_button_text','Read More') != ''){ ?>
		        <div class="content-bttn">
		          <a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_theme_mod('vw_gardening_landscaping_button_text',__('Read More','vw-gardening-landscaping')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('vw_gardening_landscaping_button_text',__('Read More','vw-gardening-landscaping')));?></span></a>
		        </div>
			<?php } ?>
	    </div>
	    <div class="clearfix"></div>
  	</article>
</div>